
QGIS Application - Bug report #1506

QGIS 1.0.0: ugly blue bars making selections almost unreadable

2009-01-23 02:59 PM - Markus Neteler

Status: Closed

Priority: Low

Assignee: nobody -

Category: GUI

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11566

Description

Attached screenshots shows that recently (or with new QT?) menu bars and selectors have an unwanted dark-blue color. The earlier light

grey was much better of course.

Happens at least in OSGeo4W-QGIS (Windows) and Mandriva 2009.0.

A fix would be appreciated. Looks like an initialization bug.

History

#1 - 2009-01-24 12:05 AM - Borys Jurgiel

The same in Ubuntu Intrepid/KDE 4.2. QGIS just ignores the system qt palette. In KDE3@Ubuntu Hardy the system colours was used.

#2 - 2009-01-24 02:01 AM - Paolo Cavallini

Works fro me, on Debian testing/Xfce. Could you provide more details?

#3 - 2009-01-24 02:36 AM - Markus Neteler

Sure:

ldd /usr/local/lib/qgis//bin/qgis | grep -i qt

        libQtCore.so.4 => /usr/lib64/libQtCore.so.4 (0x00007f32f9cbe000)

        libQtGui.so.4 => /usr/lib64/libQtGui.so.4 (0x00007f32f9181000)

        libQtXml.so.4 => /usr/lib64/libQtXml.so.4 (0x00007f32f8f3b000)

        libQtSvg.so.4 => /usr/lib64/libQtSvg.so.4 (0x00007f32f8ce9000)

        libQtNetwork.so.4 => /usr/lib64/libQtNetwork.so.4 (0x00007f32f89e4000)

        libQtSql.so.4 => /usr/lib64/libQtSql.so.4 (0x00007f32f87a7000)

rpm -qf /usr/lib64/libQtCore.so.4

lib64qtcore4-4.4.3-1mdv2009.0

uname -a

Linux host550 2.6.27.7-server-1mnb #3905 SMP Thu Dec 11 17:41:52 EST 2008 x86_64 Intel(R) Core(TM)2 CPU         T5500  @ 1.66GHz

GNU/Linux

cat /etc/issue
Mandriva Linux release 2009.0 (Official) for x86_64

Kernel 2.6.27.7-server-1mnb on a Dual-processor x86_64 / \\l

#4 - 2009-01-24 08:35 AM - marisn -

qtconfig -> change style to something else -> file->save

Works just fine here. Gentoo ~x86, KDE 3.5.10, Qt 4.4.2

Is this QGIS bug? Probably this is Qt issue.

#5 - 2009-01-25 09:11 AM - Paolo Cavallini

Please chech whether other Qt apps have the same problem; in this case, please close the bug.

#6 - 2009-01-25 09:23 AM - Markus Neteler

It is not the case here, only QGIS is affected.

#7 - 2009-01-25 09:31 AM - Borys Jurgiel

At mine it was affecting all qt4, but not-kde applications, so it was just a problem with passing the current KDE palette to external qt4 applications. After I've

fixed it, QGIS and the rest work fine. So the reason seems to be the default qt palette.

Markus, have you tried another "qt-but-not-kde" applications? At mine there was at least smplayer, qstardict and skype.

#8 - 2009-01-25 09:38 AM - Markus Neteler

Aha. While Skype looks ok, also qstardict (just installed now, v0.12.9-2mdv2009.0, x86_64) suffers from that color problem. What was your trick to fix that?

Note that it at least also affects OSGeo4W-QGIS on XP.

#9 - 2009-01-25 10:30 AM - Borys Jurgiel

In my case, a typical 'winbuntu' solution - I've unchecked (sic!) the 'Apply colors to non-KDE4 applications' chceckbox in the KDE systemsettings. After

checking it back, the colors are still being passed to qt4 applications (but not to qt3 nor gtk ones). I'm using KDE 4.2rc @ qt 4.4.3.

#10 - 2009-01-26 02:23 PM - Markus Neteler

Thanks to  and commit:071f3cc5 (SVN r10026) it is now blue with white font (and no longer blue with black font).

#11 - 2009-07-03 06:36 AM - Giovanni Manghi

Can we close this? Seems to me that have been fixed already.
#12 - 2009-07-03 06:59 AM - Borys Jurgiel

in any case, this is not a QGIS issue. But there's another thing.. Has the checkbox column to be so wide under windows?

#13 - 2009-07-09 01:28 AM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Open to Closed

Closing this, reopen if necessary.

I filed a enhancement ticket for the problem of the checkbox column under windows.

https://trac.osgeo.org/qgis/ticket/1764

#14 - 2009-07-09 04:01 AM - Jürgen Fischer

Replying to [comment:13 lutra]:

Closing this, reopen if necessary.

I filed a enhancement ticket for the problem of the checkbox column under windows.

https://trac.osgeo.org/qgis/ticket/1764

Just to make sure you know: you can reference bugs with #NNNN and revisions with rNNNNN.

#15 - 2009-07-09 06:27 AM - Giovanni Manghi

Just to make sure you know: you can reference bugs with #NNNN and revisions with rNNNNN.

thanks for the note, I was looking around on how to write references correctly.

Files
